[Résolu] Mise à jour des modules demandés mais impossible avec 2.2.3.1

Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
#1
Citation :#~~~~~ DEBUT BLOC A NE PAS SUPPRIMER ~~~~~
#~ Version du CMS: 2.2.3.1
#~ Url du site :
#~ Hébergeur / Soft : Localhost
#~ Informations Système :
#~ ----------------------------------------------
#~ Cms Version: 2.2.3.1
#~ Installed Modules:
#~ AdminSearch: 1.0
#~ CGExtensions: 1.51.1
#~ CGSimpleSmarty: 2.0.5
#~ CMSContentManager: 1.0.2
#~ CMSMailer: 5.2.4
#~ Captcha: 0.5.2
#~ CmsJobManager: 0.1.1
#~ DesignManager: 1.1
#~ FileManager: 1.5.1
#~ FilePicker: 1.0.1
#~ FormBuilder: 0.8.1.3
#~ Gallery: 2.1
#~ JQueryTools: 1.3.8
#~ MicroTiny: 2.0.2
#~ ModuleManager: 2.0.1
#~ Navigator: 1.0.1
#~ News: 2.50.3
#~ Search: 1.50.2
#~ SiteMapMadeSimple: 1.2.8
#~ Config Information:
#~ php_memory_limit:
#~ max_upload_size: 32000000
#~ url_rewriting: mod_rewrite
#~ page_extension: .html
#~ query_var: page
#~ auto_alias_content: true
#~ locale:
#~ set_names: true
#~ timezone: Europe/Paris
#~ permissive_smarty: false
#~ Php Information:
#~ phpversion: 7.1.0
#~ md5_function: On (Vrai)
#~ json_function: On (Vrai)
#~ gd_version: 2
#~ tempnam_function: On (Vrai)
#~ magic_quotes_runtime: Off (Faux)
#~ E_ALL: 32767
#~ E_STRICT: 2048
#~ E_DEPRECATED: 8192
#~ test_file_timedifference: Aucune différence de date du système trouvée
#~ test_db_timedifference: Aucune différence de date du système trouvée
#~ create_dir_and_file: 1
#~ memory_limit: 128M
#~ max_execution_time: 30
#~ register_globals: Off (Faux)
#~ output_buffering: On
#~ disable_functions:
#~ open_basedir:
#~ test_remote_url: Valable
#~ file_uploads: On (Vrai)
#~ post_max_size: 32M
#~ upload_max_filesize: 32M
#~ session_save_path: /Applications/MAMP/tmp/php (0775)
#~ session_use_cookies: On (Vrai)
#~ xml_function: On (Vrai)
#~ xmlreader_class: On (Vrai)
#~ check_ini_set: On (Vrai)
#~ curl: On
#~ Performance Information:
#~ allow_browser_cache: Off (Faux)
#~ browser_cache_expiry: 60
#~ php_opcache: Off (Faux)
#~ smarty_cache: On (Vrai)
#~ smarty_compilecheck: Off (Faux)
#~ auto_clear_cache_age: On (Vrai)
#~ Server Information:
#~ Server Software: Apache/2.2.31 (Unix) mod_wsgi/3.5 Python/2.7.12 PHP/7.1.0 mod_ssl/2.2.31 OpenSSL/1.0.2j DAV/2 mod_fastcgi/2.4.6 mod_perl/2.0.9 Perl/v5.24.0
#~ Server Api: apache2handler
#~ Server Os: Darwin 16.7.0 On x86_64
#~ Server Db Type: MySQL (mysqli)
#~ Server Db Version: 5.6.34
#~ Server Db Grants: Trouvé un privilège "GRANT ALL" qui semble être adapté
#~ Permission Information:
#~ tmp: /Applications/MAMP/www/Arko/tmp (0755)
#~ tmp_cache: /Applications/MAMP/www/Arko/tmp/cache (0755)
#~ templates_c: /Applications/MAMP/www/Arko/tmp/templates_c (0755)
#~ modules: /Applications/MAMP/www/Arko/modules (0755)
#~ uploads: /Applications/MAMP/www/Arko/uploads (0755)
#~ Masque de création de fichier (umask) : /Applications/MAMP/www/Arko/tmp/cache (0755)
#~ config_file: 0444
#~ ----------------------------------------------
#~~~~~ FIN BLOC A NE PAS SUPPRIMER ~~~~~



Bonjour,

J'ai fait une mise à jour 2.2.3.1 qui s'est très bien déroulée, cependant, dans l'onglet des modules installés , presque tous les modules sont indiqués à mettre à jour (message orange "ce module est en attende de mise à jour" , mais ceci est impossible, j'ai le message :
"Le noyau de CMSMS doit être mis à jour avant que cette opération ne réussisse "

Tous les modules et le site en général sont parfaitement opérationnels cependant.

Voici ma page de module installés :

[Image: cmsms.png]
#1
Citation :#~~~~~ DEBUT BLOC A NE PAS SUPPRIMER ~~~~~
#~ Version du CMS: 2.2.3.1
#~ Url du site :
#~ Hébergeur / Soft : Localhost
#~ Informations Système :
#~ ----------------------------------------------
#~ Cms Version: 2.2.3.1
#~ Installed Modules:
#~ AdminSearch: 1.0
#~ CGExtensions: 1.51.1
#~ CGSimpleSmarty: 2.0.5
#~ CMSContentManager: 1.0.2
#~ CMSMailer: 5.2.4
#~ Captcha: 0.5.2
#~ CmsJobManager: 0.1.1
#~ DesignManager: 1.1
#~ FileManager: 1.5.1
#~ FilePicker: 1.0.1
#~ FormBuilder: 0.8.1.3
#~ Gallery: 2.1
#~ JQueryTools: 1.3.8
#~ MicroTiny: 2.0.2
#~ ModuleManager: 2.0.1
#~ Navigator: 1.0.1
#~ News: 2.50.3
#~ Search: 1.50.2
#~ SiteMapMadeSimple: 1.2.8
#~ Config Information:
#~ php_memory_limit:
#~ max_upload_size: 32000000
#~ url_rewriting: mod_rewrite
#~ page_extension: .html
#~ query_var: page
#~ auto_alias_content: true
#~ locale:
#~ set_names: true
#~ timezone: Europe/Paris
#~ permissive_smarty: false
#~ Php Information:
#~ phpversion: 7.1.0
#~ md5_function: On (Vrai)
#~ json_function: On (Vrai)
#~ gd_version: 2
#~ tempnam_function: On (Vrai)
#~ magic_quotes_runtime: Off (Faux)
#~ E_ALL: 32767
#~ E_STRICT: 2048
#~ E_DEPRECATED: 8192
#~ test_file_timedifference: Aucune différence de date du système trouvée
#~ test_db_timedifference: Aucune différence de date du système trouvée
#~ create_dir_and_file: 1
#~ memory_limit: 128M
#~ max_execution_time: 30
#~ register_globals: Off (Faux)
#~ output_buffering: On
#~ disable_functions:
#~ open_basedir:
#~ test_remote_url: Valable
#~ file_uploads: On (Vrai)
#~ post_max_size: 32M
#~ upload_max_filesize: 32M
#~ session_save_path: /Applications/MAMP/tmp/php (0775)
#~ session_use_cookies: On (Vrai)
#~ xml_function: On (Vrai)
#~ xmlreader_class: On (Vrai)
#~ check_ini_set: On (Vrai)
#~ curl: On
#~ Performance Information:
#~ allow_browser_cache: Off (Faux)
#~ browser_cache_expiry: 60
#~ php_opcache: Off (Faux)
#~ smarty_cache: On (Vrai)
#~ smarty_compilecheck: Off (Faux)
#~ auto_clear_cache_age: On (Vrai)
#~ Server Information:
#~ Server Software: Apache/2.2.31 (Unix) mod_wsgi/3.5 Python/2.7.12 PHP/7.1.0 mod_ssl/2.2.31 OpenSSL/1.0.2j DAV/2 mod_fastcgi/2.4.6 mod_perl/2.0.9 Perl/v5.24.0
#~ Server Api: apache2handler
#~ Server Os: Darwin 16.7.0 On x86_64
#~ Server Db Type: MySQL (mysqli)
#~ Server Db Version: 5.6.34
#~ Server Db Grants: Trouvé un privilège "GRANT ALL" qui semble être adapté
#~ Permission Information:
#~ tmp: /Applications/MAMP/www/Arko/tmp (0755)
#~ tmp_cache: /Applications/MAMP/www/Arko/tmp/cache (0755)
#~ templates_c: /Applications/MAMP/www/Arko/tmp/templates_c (0755)
#~ modules: /Applications/MAMP/www/Arko/modules (0755)
#~ uploads: /Applications/MAMP/www/Arko/uploads (0755)
#~ Masque de création de fichier (umask) : /Applications/MAMP/www/Arko/tmp/cache (0755)
#~ config_file: 0444
#~ ----------------------------------------------
#~~~~~ FIN BLOC A NE PAS SUPPRIMER ~~~~~



Bonjour,

J'ai fait une mise à jour 2.2.3.1 qui s'est très bien déroulée, cependant, dans l'onglet des modules installés , presque tous les modules sont indiqués à mettre à jour (message orange "ce module est en attende de mise à jour" , mais ceci est impossible, j'ai le message :
"Le noyau de CMSMS doit être mis à jour avant que cette opération ne réussisse "

Tous les modules et le site en général sont parfaitement opérationnels cependant.

Voici ma page de module installés :

[Image: cmsms.png]
#2
Houla étrange Rolleyes
mise à jour 2.2.3.1 depuis quelle version ?

1 regarde dans les dossier modules s'il il y un fichier moduleinfo.ini si oui le supprimer
est cela résout en partie le soucis
sinon
2 refaire une mise à jour
J-C Etiemble Tutoriels v 2.2.x
#2
Houla étrange Rolleyes
mise à jour 2.2.3.1 depuis quelle version ?

1 regarde dans les dossier modules s'il il y un fichier moduleinfo.ini si oui le supprimer
est cela résout en partie le soucis
sinon
2 refaire une mise à jour
J-C Etiemble Tutoriels v 2.2.x
#3
Merci.

Mise à jour depuis la version 2.1

J'ai supprimé tous les fichiers moduleinfo.ini qui trainaient
J'ai refais une maj complète ( donc rafraîchissement)

Aucun changement.

J'ai donc tenté une maj manuelle de CGExtension pour l'exemple. Le fichiers présent dans le dossier module sont bien ceux de la version 1.57, mais le gestionnaire de module continu de m'indiquer la version 1.51.1 installée.

C'est alors que je m'aperçois en consultant tous les autres modules qu'en cliquant sur "a propos" de chaque module c'est bien les dernières versions qui sont installées. Mais ce sont les anciennes qui sont listées dans le gestionnaire .... qui réclame donc les mises à jours...
Si c'est juste un problème d'affichage du gestionnaire de module, le problème n'est peut-être pas vital , mais j'aimerai bien balancer une version propre sur le serveur online pour les tests de mes clients.
#3
Merci.

Mise à jour depuis la version 2.1

J'ai supprimé tous les fichiers moduleinfo.ini qui trainaient
J'ai refais une maj complète ( donc rafraîchissement)

Aucun changement.

J'ai donc tenté une maj manuelle de CGExtension pour l'exemple. Le fichiers présent dans le dossier module sont bien ceux de la version 1.57, mais le gestionnaire de module continu de m'indiquer la version 1.51.1 installée.

C'est alors que je m'aperçois en consultant tous les autres modules qu'en cliquant sur "a propos" de chaque module c'est bien les dernières versions qui sont installées. Mais ce sont les anciennes qui sont listées dans le gestionnaire .... qui réclame donc les mises à jours...
Si c'est juste un problème d'affichage du gestionnaire de module, le problème n'est peut-être pas vital , mais j'aimerai bien balancer une version propre sur le serveur online pour les tests de mes clients.
#4
Citation :J'ai refais une maj complète ( donc rafraîchissement)
Non rafraîchissement différent de mise à jour
le rafraîchissement copie uniquement les fichiers et ne fais rien en BD donc corrige rien
pour maj complète depuis la version 2.1, il faut donc maintenant avant de faire la maj modifier le fichier /lib/version.php avec $CMS_VERSION = "2.1";
J-C Etiemble Tutoriels v 2.2.x
#4
Citation :J'ai refais une maj complète ( donc rafraîchissement)
Non rafraîchissement différent de mise à jour
le rafraîchissement copie uniquement les fichiers et ne fais rien en BD donc corrige rien
pour maj complète depuis la version 2.1, il faut donc maintenant avant de faire la maj modifier le fichier /lib/version.php avec $CMS_VERSION = "2.1";
J-C Etiemble Tutoriels v 2.2.x
#5
Nouvelle mise à jour forcée depuis 2.1.
Rien n'a changé toujours la même page avec tous les modules en rouge à mettre à jour (mais bonnes versions dans 'à propos' )
#5
Nouvelle mise à jour forcée depuis 2.1.
Rien n'a changé toujours la même page avec tous les modules en rouge à mettre à jour (mais bonnes versions dans 'à propos' )
#6
soucis dans la base de données ou dans le dossier module (droits) alors peut être
affiche les erreurs PHP en activant E_STRICT et E_DEPRECATED
et vérifier dans la base de données la table modules les versions
J-C Etiemble Tutoriels v 2.2.x
#6
soucis dans la base de données ou dans le dossier module (droits) alors peut être
affiche les erreurs PHP en activant E_STRICT et E_DEPRECATED
et vérifier dans la base de données la table modules les versions
J-C Etiemble Tutoriels v 2.2.x
#7
Voilà, j'ai effectivement modifier les valeurs de la colonne 'version' de la table 'modules' en assignant les dernières versions spécifiée dans 'à propos' de chaque module et c'est OK, tout est repassé en vert .
La question est de savoir pourquoi cette table n'a pas été modifié par la mise à jour ...
Merci
#7
Voilà, j'ai effectivement modifier les valeurs de la colonne 'version' de la table 'modules' en assignant les dernières versions spécifiée dans 'à propos' de chaque module et c'est OK, tout est repassé en vert .
La question est de savoir pourquoi cette table n'a pas été modifié par la mise à jour ...
Merci


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)